package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossSchemePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/16 17:28
 */
public interface CrossSchemeMapper {
    void insertBatch(@Param("entities") List<CrossSchemePO> CrossSchemePOList);

    void insertOne(CrossSchemePO CrossSchemePO);

    void deleteOne(@Param("crossId") String crossId, @Param("patternNo") String patternNo);

    CrossSchemePO selectByCrossIdAndSchemeNo(@Param("crossId") String crossId,
                                                 @Param("schemeNo") Integer schemeNo);

    List<CrossSchemePO> selectByCrossId(@Param("crossId") String crossId);

    void deleteByCrossId(String crossId);
}
