package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.po.CrossTurnDataHistPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 21:11
 */
@Mapper
public interface CrossTurnDataHistMapper extends BaseMapper<CrossTurnDataHistPO> {
    void insertBatch(@Param("list") List<CrossTurnDataHistPO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);

    CrossTurnDataHistPO selectNoPark(String crossId, Integer dir, String turn, long currentSeconds, long preSeconds);

    List<CrossTurnDataHistPO> selectByCrossId(String crossId, long currentSeconds, long preSeconds);
}
