package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossPlanPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 15:57
 */
public interface CrossPlanMapper {
    void deleteOne(@Param("crossId") String crossId, @Param("planNo") Integer planNo);

    void insertOne(CrossPlanPO crossPlanPO);

    void insertBatch(@Param("entities") List<CrossPlanPO> crossPlanPOList);

    Integer selectIdByNo(@Param("crossId") String crossId, @Param("planNo")Integer planNo);

    List<CrossPlanPO> selectByCrossId(@Param("crossId") String crossId);

    List<CrossPlanPO> selectByCrossIdAndPlanNo(@Param("crossId") String crossId, @Param("planNo")Integer planNo);

}
